首页 新闻 搜索 专区 学院

用Es6的import怎么加载模板,替代nodejs的require加载模板,

0
悬赏园豆:10 [已解决问题] 解决于 2017-05-05 22:17

如图,我加载了一个jq,用传统的require可以正常加载,用import就加载不进来,最后是用webpack打包运行打包的那个js


Model-Zachary的主页 Model-Zachary | 初学一级 | 园豆:12
提问于:2016-12-13 22:22
< >
分享
最佳答案
0

import React from 'react';

require是commonjs规范
import是es6规范, 但是主流实现都不支持(node, chrome), 一般还是要用babel转换
基本上都是用babel-plugin-transform-es2015-modules-commonjs这个插件转成require形式

Model-Zachary | 初学一级 |园豆:12 | 2017-03-23 13:32
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册